GraphContext (JGraph v5.12.4.2 API Specification)
Keywords: org.jgraph.graph.GraphContext class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph v5.12.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jgraph.graph
Class GraphContext

    java.lang.Object
      org.jgraph.graph.GraphContext

All Implemented Interfaces:
  CellMapper

public class GraphContext
extends Object
implements CellMapper

Field Summary
`protected Set` | `allCells` Set of all cells including all descendants.
`protected int` | `cellCount` Number of all descendants without ports.
`protected Object[]` | `cells` Reference to the cells.
`protected Set` | `cellSet` Set of all cells including all descendants.
`protected JGraph` | `graph` Reference to the parent graph.
`protected GraphLayoutCache` | `graphLayoutCache` Reference to the graphs GraphLayoutCache.
`static boolean` | `PREVIEW_EDGE_GROUPS` Switch to enable the preview of edge groups, that is, edges that 1 or more children, as part of the context cells.
`protected Map` | `views` Map of (cell, view) pairs including ports.

Constructor Summary
`GraphContext(JGraph graph, Object[] cells)` Constructs a graph context for `cells` with respect to the connections defined in the model, and the views in the view of `graph`.

Method Summary
`boolean` | `contains(Object node)` Returns `true` if `node` or one of its ancestors is contained in this object and visible in the original graph.
`CellView` | `createMapping(Object cell)`
`CellView[]` | `createTemporaryCellViews()` Returns an new consistent array of views for `cells`.
`CellView[]` | `createTemporaryContextViews()` Returns an new consistent array of views for the edges that are connected to and not contained in `cells`.
`CellView[]` | `createTemporaryContextViews(Set cellSet)` Returns an new consistent array of views for the edges that are connected to and not contained in `cellSet`.
`CellView[]` | `createTemporaryPortViews()` Returns an new consistent array of views for the ports.
`ConnectionSet` | `disconnect(CellView[] cells)` Disconnects the edges in `cells` from the sources and targets that are not in this context and returns a ConnectionSet that defines the disconnection.
`Object[]` | `getCells()` Returns the array that was passed to the constructor.
`int` | `getDescendantCount()` Returns the number of all objects (cells and children) in this object.
`JGraph` | `getGraph()` Returns the graph that was passed to the constructor.
`CellView` | `getMapping(Object cell, boolean create)` Returns the `CellView` that is mapped to `cell` in the graph context.
`boolean` | `isEmpty()` Returns `true` if this object contains no cells.
`void` | `putMapping(Object cell, CellView view)` Associates `cell` with `view` in the graph context.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PREVIEW_EDGE_GROUPS

    public static boolean PREVIEW_EDGE_GROUPS

  Switch to enable the preview of edge groups, that is, edges that 1 or more children, as part of the context cells.

### graph

    protected JGraph graph

  Reference to the parent graph.

### graphLayoutCache

    protected transient GraphLayoutCache graphLayoutCache

  Reference to the graphs GraphLayoutCache.

### cells

    protected Object[] cells

  Reference to the cells.

### allCells

    protected Set allCells

  Set of all cells including all descendants.

### cellSet

    protected Set cellSet

  Set of all cells including all descendants.

### cellCount

    protected int cellCount

  Number of all descendants without ports.

### views

    protected Map views

  Map of (cell, view) pairs including ports.

Constructor Detail

### GraphContext

    public GraphContext(JGraph graph,
                        Object[] cells)

  Constructs a graph context for `cells` with respect to the connections defined in the model, and the views in the view of `graph`.

Method Detail

### isEmpty

    public boolean isEmpty()

  Returns `true` if this object contains no cells.

### getDescendantCount

    public int getDescendantCount()

  Returns the number of all objects (cells and children) in this object.

### getGraph

    public JGraph getGraph()

  Returns the graph that was passed to the constructor.

### getCells

    public Object[] getCells()

  Returns the array that was passed to the constructor.

### contains

    public boolean contains(Object node)

  Returns `true` if `node` or one of its ancestors is contained in this object and visible in the original graph.

### createTemporaryCellViews

    public CellView[] createTemporaryCellViews()

  Returns an new consistent array of views for `cells`.

### createTemporaryPortViews

    public CellView[] createTemporaryPortViews()

  Returns an new consistent array of views for the ports.

### createTemporaryContextViews

    public CellView[] createTemporaryContextViews()

  Returns an new consistent array of views for the edges that are connected to and not contained in `cells`.

### createTemporaryContextViews

    public CellView[] createTemporaryContextViews(Set cellSet)

  Returns an new consistent array of views for the edges that are connected to and not contained in `cellSet`.

### getMapping

    public CellView getMapping(Object cell,
                               boolean create)

  Returns the `CellView` that is mapped to `cell` in the graph context. New views are created based on whether cell is contained in the context. The `create`-flag is ignored.

  Specified by:
    `getMapping` in interface `CellMapper`
  Parameters:
    `create` - whether a new view should created if a view does not already exist

### createMapping

    public CellView createMapping(Object cell)

### disconnect

    public ConnectionSet disconnect(CellView[] cells)

  Disconnects the edges in `cells` from the sources and targets that are not in this context and returns a ConnectionSet that defines the disconnection.

### putMapping

    public void putMapping(Object cell,
                           CellView view)

  Associates `cell` with `view` in the graph context.

  Specified by:
    `putMapping` in interface `CellMapper`
  Parameters:
    `cell` - the cell that constitutes the model element
    `view` - the view that constitutes the view element

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph v5.12.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 2001-2008 Gaudenz Alder. All rights reserved.